Module java.desktop
Package javax.swing.text.html

## Class HTMLDocument.HTMLReader.HiddenAction

- java.lang.Object
- - javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
  - - javax.swing.text.html.HTMLDocument.HTMLReader.HiddenAction

Enclosing class:
  HTMLDocument.HTMLReader

    public class HTMLDocument.HTMLReader.HiddenAction
    extends HTMLDocument.HTMLReader.TagAction

Action assigned by default to handle the Hidden task of the reader.

### Constructor Summary

Constructors
Constructor and Description
`HiddenAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `end(HTML.Tag t)` Called when an end tag is seen for the type of tag this action was registered to.
`void` `start(HTML.Tag t, MutableAttributeSet a)` Called when a start tag is seen for the type of tag this action was registered to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HiddenAction

    public HiddenAction()

### Method Detail

#### start

    public void start(HTML.Tag t,
                      MutableAttributeSet a)

Description copied from class: `HTMLDocument.HTMLReader.TagAction`
Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Overrides:
  `start` in class `HTMLDocument.HTMLReader.TagAction`
Parameters:
  `t` - the HTML tag
  `a` - the attributes

#### end

    public void end(HTML.Tag t)

Description copied from class: `HTMLDocument.HTMLReader.TagAction`
Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Overrides:
  `end` in class `HTMLDocument.HTMLReader.TagAction`
Parameters:
  `t` - the HTML tag